E-MailRelay

Public Member Functions | Static Public Member Functions | List of all members
GStore::MessageId Class Reference

A somewhat opaque identifer for a GStore::MessageStore message id. More...

`#include <gmessagestore.h>`

## Public Member Functions
| MessageId (const std::string &)
| Constructor. More...
bool | valid () const
| Returns true if valid. More...
std::string | str () const
| Returns the id string. More...
| MessageId (int)=delete

## Static Public Member Functions
static MessageId | none ()
| Returns an in-valid() id. More...

## Detailed Description

A somewhat opaque identifer for a GStore::MessageStore message id.

Definition at line 42 of file gmessagestore.h.

## Constructor & Destructor Documentation

## ◆ MessageId()

GStore::MessageId::MessageId | ( | const std::string & | s | ) |
| inline explicit

Constructor.

Definition at line 166 of file gmessagestore.h.

## Member Function Documentation

## ◆ none()

GStore::MessageId GStore::MessageId::none | ( |  | ) |
| inline static

Returns an in-valid() id.

Definition at line 167 of file gmessagestore.h.

## ◆ str()

std::string GStore::MessageId::str | ( |  | ) | const
| inline

Returns the id string.

Definition at line 168 of file gmessagestore.h.

## ◆ valid()

bool GStore::MessageId::valid | ( |  | ) | const
| inline

Returns true if valid.

Definition at line 169 of file gmessagestore.h.

The documentation for this class was generated from the following file:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gstore/gmessagestore.h